# Handle configuration files
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
# List of configuration files (they should end in .new)

config etc/profile.d/groovy.sh.new
config etc/profile.d/groovy.csh.new
( cd usr/bin ; rm -rf groovy )
( cd usr/bin ; ln -sf /usr/lib64/groovy/bin/groovy groovy )
( cd usr/bin ; rm -rf grape )
( cd usr/bin ; ln -sf /usr/lib64/groovy/bin/grape grape )
( cd usr/bin ; rm -rf startGroovy )
( cd usr/bin ; ln -sf /usr/lib64/groovy/bin/startGroovy startGroovy )
( cd usr/bin ; rm -rf groovyc )
( cd usr/bin ; ln -sf /usr/lib64/groovy/bin/groovyc groovyc )
( cd usr/bin ; rm -rf groovyConsole )
( cd usr/bin ; ln -sf /usr/lib64/groovy/bin/groovyConsole groovyConsole )
( cd usr/bin ; rm -rf groovydoc )
( cd usr/bin ; ln -sf /usr/lib64/groovy/bin/groovydoc groovydoc )
( cd usr/bin ; rm -rf java2groovy )
( cd usr/bin ; ln -sf /usr/lib64/groovy/bin/java2groovy java2groovy )
( cd usr/bin ; rm -rf groovysh )
( cd usr/bin ; ln -sf /usr/lib64/groovy/bin/groovysh groovysh )
